Bug 470206 - Rendering artifacts on ATI Rdeon X800 with active option EnablePageFlip
Rendering artifacts on ATI Rdeon X800 with active option EnablePageFlip
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 04:25 EST by Joachim Frieben
Modified: 2018-04-11 12:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Custom xorg.conf (711 bytes, text/plain)
2008-11-06 04:25 EST, Joachim Frieben
no flags Details
Xorg.0.log with option EnablePageFlip (145.46 KB, text/plain)
2008-11-06 04:27 EST, Joachim Frieben
no flags Details
Screenshot showing desktop corruption with option EnablePageFlip (37.01 KB, image/png)
2008-11-06 04:28 EST, Joachim Frieben
no flags Details
screenshot showing corruption with evolution, not using pageflip (23.05 KB, image/jpeg)
2008-11-11 14:19 EST, Thomas J. Baker
no flags Details
Output of glxinfo for both EnablePageFlip on/off (5.39 KB, text/plain)
2008-11-17 04:05 EST, Joachim Frieben
no flags Details
Screenshot with option EnablePageFlip (51.85 KB, image/png)
2009-04-27 05:46 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2008-11-06 04:25:34 EST
Created attachment 322678 [details]
Custom xorg.conf

Description of problem:
After enabling option "EnablePageFlip" on an ATI Radeon X800 (R430), direct rendering is flaky, and artifacts corrupt the desktop.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-41.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Add option "EnablePageFlip" to xorg.conf.
2. Restart X and launch GNOME session.
3. Execute glxgears.
  
Actual results:
The glxgears window is flickering and only parts of the rotating gears are visible. The GNOME panel is partly covered by rendering artifacts [see attached screenshot].

Expected results:
Direct rendering works a expected.

Additional info:
When clicking the window with the mouse, glxgears exit and the following message is returned to the shell:

  glxgears: r300_state.c:1165: r300UpdateDrawBuffer: Assertion `rrb->pitch' failed.
  Abort
Comment 1 Joachim Frieben 2008-11-06 04:27:23 EST
Created attachment 322679 [details]
Xorg.0.log with option EnablePageFlip
Comment 2 Joachim Frieben 2008-11-06 04:28:33 EST
Created attachment 322680 [details]
Screenshot showing desktop corruption with option EnablePageFlip
Comment 3 Thomas J. Baker 2008-11-11 14:17:14 EST
I don't know if it's related but I get artifacts with X1950 (R500) with no options enabled except ones for dual head. They are fairly minor but are there none the less.
Comment 4 Thomas J. Baker 2008-11-11 14:19:43 EST
Created attachment 323218 [details]
screenshot showing corruption with evolution, not using pageflip
Comment 5 Thomas J. Baker 2008-11-11 14:20:18 EST
Should I open a different bug?
Comment 6 Matěj Cepl 2008-11-11 19:30:00 EST
(In reply to comment #5)
> Should I open a different bug?

I think you've got hit by bug 466663 -- you can join a happy party over there.
Comment 7 François Cami 2008-11-16 15:52:01 EST
Joachim,

Could you provide us with the output of "glxinfo" both with and without EnablePageFlip ?

Thank you
Comment 8 Joachim Frieben 2008-11-17 04:05:11 EST
Created attachment 323748 [details]
Output of glxinfo for both EnablePageFlip on/off

The output of glxinfo is identical for both cases EnablePageFlip on/off.
Comment 9 Bug Zapper 2008-11-25 23:51:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Joachim Frieben 2008-12-04 07:58:01 EST
No improvement after updating to:
  xorg-x11-drv-ati-6.9.0-61.fc10.x86_64
  xorg-x11-server-Xorg-1.5.3-5.fc10.x86_64
  mesa-7.2-*-0.13.fc10.x86_64
Comment 11 Joachim Frieben 2009-01-18 04:22:19 EST
No improvement after updating to:
  kernel-2.6.28.1-9.rc2.fc10.x86_64
  xorg-x11-drv-ati-6.9.0-63.fc10.x86_64
  xorg-x11-server-Xorg-1.5.3-8.fc10.x86_64
Comment 12 Matthias Runge 2009-02-10 03:29:43 EST
Machine is a T43 (Radeon X300), i386. Same effects here. Disabling PageFlip 

No improvement after updating to:
kernel 2.6.27.12-170-2.5.fc10
xorg-x11-drv-ati-6.10.0-1.fc10
Comment 13 Joachim Frieben 2009-04-27 05:46:25 EDT
Created attachment 341413 [details]
Screenshot with option EnablePageFlip

For a fully updated F10 live USB device (i386), the corruption issue on the affected systenm has evolved (see attached screenshot): there are no artifacts outside the window of 'glxgears' anymore, and the gears are clearly visible. On the other hand, the gears are rendered incorrectly. This happens with option "nomodeset".
Comment 14 Joachim Frieben 2009-07-12 10:12:59 EDT
No improvement for current F10 w/updates including:

- kernel-2.6.27.25-170.2.72.fc10
- mesa-*-7.2-0.15.fc10
- xorg-x11-drv-ati-6.10.0-2.fc10

This issue is exclusively related to operation w/o KMS. When KMS is enabled, the system crashes and starts over only a few seconds after 'glxgears' has been executed. During the available period of time, no artifacts are visible.
Comment 15 Bug Zapper 2009-11-18 03:46:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-12-18 01:45:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.